Status: In Progress Start date: 20 Jun 2020

Priority: Normal Due date:  

Assignee:  % Done: 10%

Category: Tidying Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 0.45 hour

Description

There is a fn mul(MAT,MAT,MAT)

Is it any use?

The impl is exception-safe, so internally it creates a new mat, and then swaps it into the first OUT arg.  So it does not appear to be

"efficient".

History

#1 - 20 Jun 2020 21:42 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

I have commented out the fn, and modified power(MAT,n).

Everything compiles and runs fine.

I suggest eliminating mul(M,M,M)  Also C++14's "move" ability should also make it obsolete.

What do you think?

#2 - 29 Oct 2020 13:46 - John Abbott

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

Perhaps it could make sense to have a version of mul(mat,mat,mat) which is deliberately not exception safe (but also avoids reallocating memory).

We would need to make a test to whether this idea is actually useful...

NOTE: the use of mul inside power is such that power remains exception-safe even if mul is not!

#3 - 16 Feb 2024 10:04 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880

Powered by TCPDF (www.tcpdf.org)

29 Apr 2024 1/1

http://www.tcpdf.org

